ResourceException (Gradle API 8.14.2)
Description: declaration: package: org.gradle.api.resources, class: ResourceException

Package org.gradle.api.resources

# Class ResourceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.resources.ResourceException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MissingResourceException`

public class ResourceException extends GradleException
Generic resource exception that all other resource-related exceptions inherit from.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceException()`
  `ResourceException(String message)`
  `ResourceException(String message, Throwable cause)`
  `ResourceException(URI location, String message)`
  `ResourceException(URI location, String message, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `getLocation()`
  Returns the location of the resource, if known.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResourceException

    public ResourceException()

  - ### ResourceException

    public ResourceException(String message)

  - ### ResourceException

    public ResourceException(String message, Throwable cause)

  - ### ResourceException

    public ResourceException(URI location, String message)

  - ### ResourceException

    public ResourceException(URI location, String message, Throwable cause)

- ## Method Details

  - ### getLocation

    @Nullable public URI getLocation()
    Returns the location of the resource, if known.
    Returns:
      The location, or null if not known.